﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.OleDb;

namespace BancoAccess
{
    class Program
    {
        public class Agenda
        {
            public int Id { get; set; }
            public string Nome { get; set; }
            public string Email { get; set; }

            public void NovaPessoa()
            {
                Console.Write("Digite o novo nome: ");
                this.Nome = Console.ReadLine();
                Console.Write("Digite o novo e-mail: ");
                this.Email = Console.ReadLine();
            }

            public void PreencherPessoa(OleDbDataReader pessoa)
            {
                this.Nome = pessoa["nome"].ToString();
                this.Id = pessoa.GetInt32(0);
                //this.Id = Convert.ToInt32(pessoa["Id"].ToString());
                this.Email = pessoa.GetString(2);
            }

            
        }


        public static class AcessoaoAccess
        {
            public static OleDbConnection AbrirConexao()
            {
                return new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=D:\bdpoo2\teste.mdb");
            }

            public static void Mostrar()
            {
                OleDbConnection conexao = AbrirConexao();
                OleDbCommand comando = new OleDbCommand("Select * from agenda", conexao);
                try
                {
                    conexao.Open();
                    OleDbDataReader resposta = comando.ExecuteReader();
                    Console.WriteLine("\nConteúdo da tabela Agenda do banco teste.mdb");
                    Console.WriteLine("\nId\tNome\t\te-mail");
                    while (resposta.Read())
                    {
                        Console.WriteLine("{0}\t{1}\t\t{2}", resposta[0], resposta.GetString(1), resposta["email"]);
                    }
                    resposta.Close();
                    conexao.Close();
                }
                catch(OleDbException e)
                {
                    Console.WriteLine("Erro: {0}", e.Errors[0].Message);
                }

            }

            public static void Incluir(Agenda novo)
            {
                OleDbConnection conexao = AbrirConexao();
                OleDbCommand comando = new OleDbCommand();
                comando.CommandText = "Insert into agenda (nome,email) values (\"" + novo.Nome + "\",\"" + novo.Email + "\")";
                //comando.CommandText = "Insert into agenda (nome,email) values (\"Sérgio Portari\",\"portari@gmail.com\")";
                comando.Connection = conexao;
                try
                {
                    conexao.Open();
                    comando.ExecuteNonQuery();
                    conexao.Close();
                }
                catch (OleDbException e)
                { 
                   Console.WriteLine("Erro: {0}",e.Errors[0].Message);
                }
            }

         

        }
       
        static void Main(string[] args)
        {
            AcessoaoAccess.Mostrar();
            Agenda contatinhos = new Agenda();
            contatinhos.NovaPessoa();
            AcessoaoAccess.Incluir(contatinhos);
            AcessoaoAccess.Mostrar();
            
            Console.ReadKey();
        }
    }
}
